// The Vue build version to load with the `import` command
// (runtime-only or standalone) has been set in webpack.base.conf with an alias.
import Vue from 'vue'
import App from './App'
import router from './router'
import ElementUI from 'element-ui'
import 'element-ui/lib/theme-chalk/index.css'
import { configure } from '@/util/http'
import prompt from '@/util/prompt'
import wangEditor from 'wangeditor'
import '@/util/extend'

Vue.use(ElementUI)
configure(Vue, router, ElementUI)
prompt(Vue, ElementUI)
Vue.config.productionTip = false
Vue.prototype.Editor = wangEditor

export default new Vue({
  el: '#app',
  router,
  components: { App },
  data: {
    Bus: new Vue()
  },
  template: '<App/>'
})
